// file: tr_lat_get_3.cc
//

// isip include files
//
#include "train_lattice.h"
#include "train_lattice_constants.h"

// method: get_utterance_cc
//
// arguments:
//  char_1*& utterance_a: (output) utterance represented by the Train_Lattice
//  
// return: a logical_1 indicating status
//
// this method returns the utterance represented by the Train_Lattice
//
logical_1 Train_Lattice::get_utterance_cc(char_1*& utterance_a) {

  // allocate memory for the output buffer
  //
  if (utterance_a != (char_1*)NULL) {
    delete [] utterance_a;
  }
  utterance_a = new char_1[strlen((char*)utterance_d)+1];
  strcpy((char*)utterance_a, (char*)utterance_d);
  
  // exit gracefully
  //
  return ISIP_TRUE;
}
